<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Поиск Сокровищ';
require_once('conf/head.php');
require_once('conf/top.php'); 
$user_id=abs(intval($_SESSION['id']));
$user=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id' LIMIT 1")->fetch_assoc();
echo'<br/><center><p class="name">Поиск сокровищ</p></center>';
if ($user[lvl]<10){echo'<div class="r6"><span class="red">Эй ты еще недостаточно опытен!</span><p><span class="bonus"> Приходи когда достигнешь 10 уровня</span></div>'; 
 require_once('conf/navig.php');
 require_once('conf/foot.php');
 exit();}
if($user['tainik_time'] < time() and $user['tainik'] == 1)
{
if($user['tainik_tip'] == '1'){$nagrada=rand(5000, 10000) and  $vremya='1800' and $aptechki=rand(2, 5);}     
elseif($user['tainik_tip'] == '2'){$nagrada=rand(25000, 55000) and $vremya='5400' and $aptechki=rand(5, 9);} 
elseif($user['tainik_tip'] == '3'){$nagrada=rand(73000, 100000) and $vremya='10800' and $aptechki=rand(10, 13);} 
elseif($user['tainik_tip'] == '4'){$nagrada=rand(110000, 150000) and $vremya='21600' and $aptechki=rand(15, 20);}
echo "<p><span class='bonus'>Сокровище найдено. Вы нашли $nagrada <img src='img/ico/materials.png' width='12' height='12'/>серебра и $aptechki <img src='img/ico/apte4ka.png' width='12' height='12'/>аптечек.</span></p>
<a style='text-decoration:none;' class='gold' href='tainiki.php'>Забрать</a>";
$pdo->exec("UPDATE `users` SET  `habar`=`habar`+'$nagrada',  `tainiki_rat`=`tainiki_rat`+'$vremya', `aptechki`=`aptechki`+'$aptechki',   `tainik` = '0', `tainik_time` = '0', `tainik_tip` = '0' WHERE `id`='$user_id' LIMIT 1");
}
elseif($user['tainik_time'] > time() or $user['tainik'] == 1)
{
$tainik_ostalos=$user['tainik_time']-time();
if($user['tainik_tip'] == '1'){$vremya='1800';}     
elseif($user['tainik_tip'] == '2'){$vremya='5400';} 
elseif($user['tainik_tip'] == '3'){$vremya='10800';} 
elseif($user['tainik_tip'] == '4'){$vremya='21600';} 
$tainik_proshlo=$vremya-$tainik_ostalos;
echo '<p><span class="bonus">Ищем. Прошло <span class="net">'.($tainik_proshlo).' из '.$vremya.'</span> секунд, ждите 
<span class="net">'.($tainik_ostalos).'</span> секунд.</span></p>
<div class="r6"><a style="text-decoration:none;" class="red" href="out_tainik.php"><img src="img/ico/no.png">Отменить поиск</a></div>';
}
else{
?>
  <p><span class="admin">Ну что, Воин, ты готов к этому?!! Пришло время попытать удачу - попробуй найти одино из сокровищ!</p>
<p style="border-top: dashed 1px #444e4f"></p>
<span class="admin">Внимание! Во время поиска вы не сможете ходить на бои.</p>
Чем больше ваш уровень - тем больше будет ваша награда</p></span>
<p style="border-top: dashed 1px #444e4f"></p>
<p><img src="img/ico/link.png"> <a class="white" href="progress.php?tip=1">Пещера новичка</a> <span class="white">[30 минут]</span></p><?php
if($user['lvl']>='15'){echo'<p><img src="img/ico/link.png"> <a class="blue" href="progress.php?tip=2">Пещера умелого</a> <span class="white">[90 минут]</span></p>';}
if($user['lvl']>='23'){echo'<p><img src="img/ico/link.png"> <a class="bonus" href="progress.php?tip=3">Пещера опытного</a> <span class="white">[180 минут]</span></p>';}
if($user['lvl']>='30'){echo'<p><img src="img/ico/link.png"> <a class="gold" href="progress.php?tip=4">Склеп мерцания</a> <span class="white">[360 минут]</span></p>';}
}
  require_once('conf/navig.php');
    require_once('conf/foot.php');
	mysqli_close($dbc);
  ?>
</body>
</html>